require 'erb'
require 'uuidtools'
require 'string'

class Jquery_Tabs
  include ERB::Util

  def initialize(hashGroups)
    @hashGroups = hashGroups
    @template = get_template
    @div = UUIDTools::UUID.random_create

  end

  def render
    unless @template.nil?
      ERB.new(@template).result(binding)
    end
  end

  def save(file)
    File.open(file, "w+") do |f|
      f.write(render)
    end
  end

  private

  def get_template()
    %{
      <html lang='en'>
      <head>
        <meta charset="utf-8">
        <title>compute test results</title>
        <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.3/themes/smoothness/jquery-ui.css">
        <script src="http://code.jquery.com/jquery-1.9.1.js"></script>
        <script src="http://code.jquery.com/ui/1.10.3/jquery-ui.js"></script>
      </head>
      <body>
       
      <div id="<%= @div %>">
        <ul>
          <% @hashGroups.each do |k,v| %>
          <li><a href="#<%= k.gsub(' ','') %>"><span> <%= k %> </span></a></li>
          <% end %>
        </ul>
        <% @hashGroups.each do |k,v| %>
        <div id="<%= k.gsub(' ','') %>">
        <%= v %>
        </div>
        <% end %>
      </div>
       
      <script>
      $( "#<%= @div %>" ).tabs();
      </script>
       
      </body>
      </html>
  }

  end

end

